/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* 
 * lt-extension.h
 * Copyright (C) 2011-2012 Akira TAGOH
 * 
 * Authors:
 *   Akira TAGOH  <akira@tagoh.org>
 * 
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#if !defined (__LANGTAG_H__INSIDE) && !defined (__LANGTAG_COMPILATION)
#error "Only <liblangtag/langtag.h> can be included directly."
#endif

#ifndef __LT_EXTENSION_H__
#define __LT_EXTENSION_H__

#include <glib.h>

G_BEGIN_DECLS

/**
 * LtExtension:
 *
 * All the fields in the <structname>LtExtension</structname>
 * structure are private to the #LtExtension implementation.
 */
typedef struct _LtExtension		LtExtension;


LtExtension *lt_extension_ref                  (LtExtension       *extension);
void            lt_extension_unref                (LtExtension       *extension);
const gchar    *lt_extension_get_tag              (LtExtension       *extension);
gchar          *lt_extension_get_canonicalized_tag(LtExtension       *extension);
void            lt_extension_dump                 (LtExtension       *extension);
gboolean        lt_extension_compare              (const LtExtension *v1,
                                                   const LtExtension *v2);
gboolean        lt_extension_truncate             (LtExtension       *extension);

G_END_DECLS

#endif /* __LT_EXTENSION_H__ */
