/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* 
 * lt-redundant.h
 * Copyright (C) 2011-2012 Akira TAGOH
 * 
 * Authors:
 *   Akira TAGOH  <akira@tagoh.org>
 * 
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#if !defined (__LANGTAG_H__INSIDE) && !defined (__LANGTAG_COMPILATION)
#error "Only <liblangtag/langtag.h> can be included directly."
#endif

#ifndef __LT_REDUNDANT_H__
#define __LT_REDUNDANT_H__

#include <glib.h>

G_BEGIN_DECLS

/**
 * LtRedundant:
 *
 * All the fields in the <structname>LtRedundant</structname>
 * structure are private to the #LtRedundant implementation.
 */
typedef struct _LtRedundant	LtRedundant;


LtRedundant *lt_redundant_ref              (LtRedundant       *redundant);
void            lt_redundant_unref            (LtRedundant       *redundant);
const gchar    *lt_redundant_get_better_tag   (const LtRedundant *redundant);
const gchar    *lt_redundant_get_tag          (const LtRedundant *redundant);
const gchar    *lt_redundant_get_preferred_tag(const LtRedundant *redundant);
const gchar    *lt_redundant_get_name         (const LtRedundant *redundant);
void            lt_redundant_dump             (const LtRedundant *redundant);
gboolean        lt_redundant_compare          (const LtRedundant *v1,
                                               const LtRedundant *v2);

G_END_DECLS

#endif /* __LT_REDUNDANT_H__ */
