/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* 
 * lt-variant.h
 * Copyright (C) 2011-2012 Akira TAGOH
 * 
 * Authors:
 *   Akira TAGOH  <akira@tagoh.org>
 * 
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#if !defined (__LANGTAG_H__INSIDE) && !defined (__LANGTAG_COMPILATION)
#error "Only <liblangtag/langtag.h> can be included directly."
#endif

#ifndef __LT_VARIANT_H__
#define __LT_VARIANT_H__

#include <glib.h>

G_BEGIN_DECLS

/**
 * LtVariant:
 *
 * All the fields in the <structname>LtVariant</structname>
 * structure are private to the #LtVariant implementation.
 */
typedef struct _LtVariant	LtVariant;


LtVariant *lt_variant_ref              (LtVariant       *variant);
void          lt_variant_unref            (LtVariant       *variant);
const gchar  *lt_variant_get_better_tag   (const LtVariant *variant);
const gchar  *lt_variant_get_tag          (const LtVariant *variant);
const gchar  *lt_variant_get_preferred_tag(const LtVariant *variant);
const gchar  *lt_variant_get_name         (const LtVariant *variant);
const GList  *lt_variant_get_prefix       (const LtVariant *variant);
void          lt_variant_dump             (const LtVariant *variant);
gboolean      lt_variant_compare          (const LtVariant *v1,
					   const LtVariant *v2);

G_END_DECLS

#endif /* __LT_VARIANT_H__ */
